Subject: Re: [PATCH 2/3] sunhme: fix the version number in struct ethtool_drvinfo

From: Rolf Eike Beer <[email-masked]>
Date: Sat, 05 Feb 2022 16:57:50 +0100

Am Samstag, 5. Februar 2022, 15:48:41 CET schrieb Andrew Lunn:
> > > > struct ethtool_drvinfo *info>
> > > > 
> > > >  {
> > > >  
> > > >  	struct happy_meal *hp = netdev_priv(dev);
> > > > 
> > > > -	strlcpy(info->driver, "sunhme", sizeof(info->driver));
> > > > -	strlcpy(info->version, "2.02", sizeof(info->version));
> > > > +	strlcpy(info->driver, DRV_NAME, sizeof(info->driver));
> > > > +	strlcpy(info->version, DRV_VERSION, sizeof(info->version));
> > > 
> > > I would suggest you drop setting info->version. The kernel will fill
> > > it with the current kernel version, which is much more meaningful.
> > 
> > Would it make sense to completely remove the version number from the
> > driver
> > then?
> 
> If it is not used anywhere else, yes, you can remove it.

Of course it prints the number on module load… but otherwise it does nothing 
with it.